Skip to content
Start here

Create account Email Sending suppression

POST/accounts/{account_id}/email/sending/suppressions

Creates an account-wide suppression. If a mutable legacy zone-linked row already exists, it is promoted without changing its identifier.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string
Body ParametersJSONExpand Collapse
email: string
formatemail
expires_at: optional string
formatdate-time
note: optional string
maxLength1000
ReturnsExpand Collapse
errors: array of unknown
messages: array of unknown
result: object { id }
id: string
formatuuid
success: boolean

Create account Email Sending suppression

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email/sending/suppressions \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "email": "user@example.com",
          "note": "Imported from CRM"
        }'
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    {}
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
  },
  "success": true
}